<?php
/************************************************** 
 *                 Bot Gadu-Gadu                  * 
 ************************************************** 
 * Wersja: 2.2 Stable                             * 
 * Data: 25.06.2012 (21:15)                       * 
 * Autor: Jacek Kowalski (http://jacekk.info)     * 
 *                                                * 
 * Utwor rozprowadzany na licencji                * 
 * http://creativecommons.org/licenses/by-nc/2.5/ * 
 **************************************************/

/**
 * Klasa konwertuje wiadomość ({@link BotMsg}) do formatu odpowiedniego dla interfejsu WWW
 */
class BotMsgHTTP implements BotMsgInterface {
	private $html = '';
	
	/**
	 * @param BotMsg $msg Wiadomość do przekonwertowania
	 */
	function __construct(BotMsg $msg) {
		$this->html = $msg->getHTML();
	}
	
	/**
	 * @return string
	 * Zwraca wiadomość HTML
	 */
	function __toString() {
		return $this->html;
	}
	
	/**
	 * @return string
	 * Zwraca wiadomość w formacie HTML
	 */
	function getHTML() {
		return $this->html;
	}
	
	function sendPullResponse() {
		header('Content-Type: text/html; charset=utf-8');
		echo $this;
	}
}
?>